# Uses of Class
org.apache.sysds.runtime.meta.MetaData

Packages that use MetaData
Package
Description
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.controlprogram.federated
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.io
org.apache.sysds.runtime.lineage
org.apache.sysds.runtime.meta

## Uses of MetaData in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return MetaData
Modifier and Type
Method
Description
`MetaData`
CacheableData.`getMetaData()`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type MetaData
Modifier and Type
Method
Description
`void`
CacheableData.`setMetaData(MetaData md)`
Constructors in org.apache.sysds.runtime.controlprogram.caching with parameters of type MetaData
Modifier
Constructor
Description
``
`FrameObject(String fname, MetaData meta)`
``
`FrameObject(String fname, MetaData meta, Types.ValueType[] schema)`
``
`MatrixObject(Types.ValueType vt, String file, MetaData mtd)`
Constructor that takes the value type, HDFS filename and associated metadata.
``
`MatrixObject(Types.ValueType vt, String file, MetaData mtd, MatrixBlock data)`
Constructor that takes the value type, HDFS filename and associated metadata and a MatrixBlock used for creation after serialization
``
`TensorObject(String fname, MetaData meta)`

## Uses of MetaData in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return MetaData
Modifier and Type
Method
Description
`MetaData`
ExecutionContext.`getMetaData(String varname)`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type MetaData
Modifier and Type
Method
Description
`void`
ExecutionContext.`setMetaData(String fname, MetaData md)`

## Uses of MetaData in org.apache.sysds.runtime.controlprogram.federated

Methods in org.apache.sysds.runtime.controlprogram.federated with parameters of type MetaData
Modifier and Type
Method
Description
`Future<FederatedResponse>`
FederatedData.`initFederatedData(long id, MetaData mtd)`

## Uses of MetaData in org.apache.sysds.runtime.instructions.cp

Methods in org.apache.sysds.runtime.instructions.cp that return MetaData
Modifier and Type
Method
Description
`MetaData`
Data.`getMetaData()`
`MetaData`
VariableCPInstruction.`getMetaData()`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type MetaData
Modifier and Type
Method
Description
`void`
Data.`setMetaData(MetaData md)`

## Uses of MetaData in org.apache.sysds.runtime.io

Fields in org.apache.sysds.runtime.io declared as MetaData
Modifier and Type
Field
Description
`MetaData`
InputOutputInfo.`metadata`

## Uses of MetaData in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type MetaData
Modifier and Type
Method
Description
`void`
LineageCacheEntry.`setGPUValue(jcuda.Pointer ptr, long size, MetaData md, long computetime)`

## Uses of MetaData in org.apache.sysds.runtime.meta

Subclasses of MetaData in org.apache.sysds.runtime.meta
Modifier and Type
Class
Description
`class`
`MetaDataFormat`